MantisBT

View Issue Details Jump to Notes ] Wiki ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0009754mantisbtbugtrackerpublic2008-10-27 18:532008-11-21 16:08
ReporterJohanCwiklinski 
Assigned Tojreese 
PrioritynormalSeveritymajorReproducibilityrandom
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.1.4 
Target Version1.1.5Fixed in Version1.1.5 
Summary0009754: Failed to report issue (APPLICATION ERROR #2800)
DescriptionMantis 1.1.4

I get "APPLICATION ERROR #2800" for reporting issue.

These bug was previously opened as 0009691, but i did not find the way to reopen this one.

I'm using 1.1.4, patch mentionned in 0009691 is present, but we randomly have the error when trying to report a bug.

Seems also that the issue should happen when, for example, switching from a project to another. Since we cannot reproduce it, it's quite difficult to be more precise :/
Steps To Reproduce1- try to report a bug
2- sometimes, have a "APPLICATION ERROR 2800"
TagsNo tags attached.
Attached Files

- Relationships
related to 0009813acknowledged Redesign forms in Mantis to not need the Back Button for mistakes. 

-  Notes
User avatar (0019709)
info4km (reporter)
2008-10-28 09:10
edited on: 2008-11-03 09:15

I just sent mail to the help list - before I saw this. I am also getting it repeatedly with 1.1.4, but not everytime.

FYI - update - 11/3/08: I saw some other comments about clearing the cache etc. That does usually work for me. I am running my application on Solaris 8, with apache 2.0.59, and using IE6 - in case a combination of the items matters. Also note that my Solaris 9 test system (also 2.0.59 apache, IE7) does not produce the error so far.

User avatar (0019712)
Gryphon (reporter)
2008-10-28 10:21
edited on: 2008-10-28 12:28

Same problem is happening to me on 1.1.4. But it seems to be more consistent at the moment (note that I first didn't have any problem).
When in project A I cannot report new bugs. However, when I go to project B, everything seems ok, until I want to submit a bug for project B. It seems that it jumps back to project A (with also the same #2800 problem).
If I select some other page again (view issues, my view, ...), it jumps back to project B.

So far I haven't been able to get it working again. Logging out & in doesn't seem to work either. (all in FF3)
When switching to IE7, I can submit a bug report as before.

Update: Now doesn't work for IE7 anymore as well

User avatar (0019739)
skay (reporter)
2008-10-31 03:51

We have the same problem with IE6.
User avatar (0019740)
jreese (reporter)
2008-10-31 08:23

Can you try clearing your browser's cache, history, and cookies, and then see if it happens again after that?
User avatar (0019749)
skay (reporter)
2008-10-31 13:11

After the application error occured, I have re-opened the browser, cleared the cache and tried again, but I got the same application error again.
User avatar (0019750)
jreese (reporter)
2008-10-31 13:51

Also make sure you are not setting $g_allow_browser_cache in your config_inc.php; it should _always_ remain unset.
User avatar (0019751)
jreese (reporter)
2008-10-31 13:54

I've confirmed that IE6 is having this issue because, for unknown reasons, it's not properly pulling getting new pages from the server.

However, I *cannot* replicate the issue with any other browser, including Firefox 3, Opera, and IE7; hence my comment above to make sure that you do not have $g_allow_browser_cache set in your configuration.
User avatar (0019753)
skay (reporter)
2008-11-01 05:44

It doesn't work, sorry. Still the same problem. If I rollback to version 1.1.1 everything works fine.
User avatar (0019754)
JohanCwiklinski (reporter)
2008-11-01 05:55

Hi,

Personnaly, I cannot reproduce the error. But some of my clients and some of my co-workers can :/

Seems that we cannot reproduce the issue under Linux or MacOS (with Firefox), but under windows it has been rapported for FF(3 at least, maybe 2)/IE6/IE7 on differents computers and network (some behind proxies, some not).

I've checked, the $g_allow_browser_cache directive is not set in the config.inc.php. I'll tell ones who gets the problem to clean their browsers data, but I cannot control that unfortunately.
User avatar (0019755)
skay (reporter)
2008-11-01 18:01

We are behind a proxy.
User avatar (0019761)
secteur13 (reporter)
2008-11-03 05:33

Hi , I have the same problem in version 1.1.4 impossible to submit two bugs one after the other at the second one I have APPLICATION ERROR #2800 it makes using bugtracker very difficult
User avatar (0019764)
ryaner (reporter)
2008-11-03 06:43

We have the same issue as noted above. Holding control down to do a full refresh of the page does allow a second bug to be submitted for our users. When requesting the bug submit page, a 302 not modified header is being sent back to the client which is why the same id is be passed back.
User avatar (0019765)
secteur13 (reporter)
2008-11-03 09:19

Thanks that workaround solved the problem. Is threre a patch to correct this problem ? it's stays boring to use
User avatar (0019773)
flc (reporter)
2008-11-04 15:35

MIB - Most important bug

Some clients can't submit issues.

Any ideas as how to fix it before a patch?

/Frans
User avatar (0019774)
JohanCwiklinski (reporter)
2008-11-04 16:01

I did not find any solution actually, clients wants to report bugs, if our mantis does not work as excpeted, they send us emails :-/

I'm open to test solution mantis team should propose, but my users are not... If it works, it's cool, if it does not, they'll find another way, unfortunately.
User avatar (0019782)
shofmann (reporter)
2008-11-05 07:22

Same happens in the 'lost password'-process: If you try to submit the form with the new password the same error (APPLICATION ERROR #2800) occurs.
Hope that info helps you to narrow down the problem.
User avatar (0019784)
abenedi (reporter)
2008-11-05 08:27

Same error here, we checked with Firefox 2 and IE 7.

I have tried adding this line to the config file: (is it ok??)

$g_allow_browser_cache = "always";

Hope it works, I will post here a feedback as soon as I get news.


/Aurelio
User avatar (0019786)
mederic (reporter)
2008-11-05 17:44

found a workaround for this cahotic cache problem waiting for a better solution...

I modified string_get_bug_page function in core/string_api.php to force browser to reload the page.

function string_get_bug_page( $p_action, $p_user_id=null ) {
        if ( null === $p_user_id ) {
                if ( auth_is_user_authenticated() ) {
                        $p_user_id = auth_get_current_user_id();
                }
        }

        $g_show_action = config_get( 'show_' . $p_action );
        $t_string = sha1( time() . mt_rand() );
        switch ( $g_show_action ) {
                case BOTH:
                                if ( ( null !== $p_user_id ) &&
                                         ( ON == user_pref_get_pref( $p_user_id, 'advanced_' . $p_action ) ) ) {
                                        return 'bug_' . $p_action . '_advanced_page.php?id='.$t_string;
                                } else {
                                        return 'bug_' . $p_action . '_page.php?id='.$t_string;
                                }
                case SIMPLE_ONLY:
                                return 'bug_' . $p_action . '_page.php?id='.$t_string;
                case ADVANCED_ONLY:
                                return 'bug_' . $p_action . '_advanced_page.php?id='.$t_string;
        }
}
User avatar (0019787)
secteur13 (reporter)
2008-11-06 03:55
edited on: 2008-11-06 04:00

thanks that works nice very useful

Note : I can't read bugs anymore or correct them i go back without this change.
maybe another time

User avatar (0019790)
mederic (reporter)
2008-11-06 13:20
edited on: 2008-11-06 13:57

With this function I can see bugs and modify them

 function string_get_bug_page( $p_action, $p_user_id=null ) {
         if ( null === $p_user_id ) {
                 if ( auth_is_user_authenticated() ) {
                         $p_user_id = auth_get_current_user_id();
                 }
         }
         $g_show_action = config_get( 'show_' . $p_action );
         if ( $p_action == "report" ) {
             $t_string = "?jt=" . sha1( time() . mt_rand() );
         }
         switch ( $g_show_action ) {
                 case BOTH:
                                 if ( ( null !== $p_user_id ) &&
                                          ( ON == user_pref_get_pref( $p_user_id, 'advanced_' . $p_action ) ) ) {
                                         return 'bug_' . $p_action . '_advanced_page.php'.$t_string;
                                 } else {
                                         return 'bug_' . $p_action . '_page.php'.$t_string;
                                 }
                 case SIMPLE_ONLY:
                                 return 'bug_' . $p_action . '_page.php'.$t_string;
                 case ADVANCED_ONLY:
                                 return 'bug_' . $p_action . '_advanced_page.php'.$t_string;
         }
 }

User avatar (0019792)
abenedi (reporter)
2008-11-06 17:40
edited on: 2008-11-06 17:54

Thanks Mederic.

It seems it's working now, but I can not order by diferent concepts in "View Issues" screen. I mean it's not possible to order by clicking on the following columns: P, ID, Category, Severity and so on...

Edited: anyway if this change is stable then you can use "advanced search" for ordering results.

User avatar (0019817)
xenusfr (reporter)
2008-11-08 16:46

Hi, I had the same bug.
It's provoked when a user of an old version (in my case 1.0.6) uses the 1.1.4 version without having clean the internet cache. Once clean it, the bug did not appear any more.
User avatar (0019832)
baltun (reporter)
2008-11-10 11:50

may be it will be usefull for developers and users:
i've found that if you add bug when chosen project is "All projects", you can add it and error doesn't appears...
User avatar (0019850)
rbrt (reporter)
2008-11-12 06:24

I am doing a POC with 1.1.4 in a virtual machine (VPC 2007), Windows 2000, IE 6 and SQL Server 2000.

Everythig was good, but suddenly I can't report an issue anymore. No error messages, I choose the project, the browser blinks and nothing happens. I commented out the line $g_allow_browse_cache = 1 in file bug_report_page.php and now it works again.

Hope it helps.
User avatar (0019852)
AliG (reporter)
2008-11-12 10:34

I am running on Mantis 1.1.4, and I can reproduce all the time. Using FF3 on both PC and MAC.

jreese if you like, I can pass you my server so you can see the behavior.
User avatar (0019854)
olegos (reporter)
2008-11-12 12:50
edited on: 2008-11-13 18:53

I just had it happen to me on this tracker, with FF2. I think the key was that I started submitting a bug, then got distracted, and finally submitted the form much later (maybe an hour after I loaded the form). I hit Back (got back the form with all the fields filled in), tried to submit again, and got the error again. Going back, copying the fields out, refreshing the form (clearing all the fields), pasting the fields in, and submitting worked. I think the delay between loading the form and submitting it is the key because it happened once in exactly the same way on my own tracker with 1.2.0a2 (trunk r5751).

Edit: obviously a different problem, 0009814 submitted.

User avatar (0019868)
ezraw (reporter)
2008-11-13 13:23

I've had a user report this as well, but none of our staff has ever had it occur, and I cannot reproduce it.
User avatar (0019869)
jreese (reporter)
2008-11-13 13:58

For the time being, this has been resolved by preventing Internet Explorer from caching pages. This will fix the problem with being unable to report multiple issues in a row, but will unfortunately prevent IE from saving what was typed into the form if you make a mistake and need to use the back button (a partial regression of issue 0009323).

We've discussed this on the mailing list, and as there is no better solution except to rewrite a lot of pages to not rely on the browser in the case of errors, we feel it's the best option we can currently take.

The fix has been committed to both the 1.2.x and 1.1.5 development trees.
User avatar (0019904)
baltun (reporter)
2008-11-15 12:12

could you please give direct link to new distributive of 1.1.5 ?
Why this bug fix does not added to 1.1.4 distrib?
User avatar (0019957)
cstamas (reporter)
2008-11-20 16:00

In note 0019750 you say that $g_allow_browser_cache shall not be set, however it is used in bug_report_page.php and bug_report_advanced_page.php - it is set to 1.
As many users reported getting this error (app.err. #2800) while trying to submit a bug, is it correct to have it set? What is the purpose?
User avatar (0019962)
emathieu (reporter)
2008-11-20 21:01

I tried the proposed change for 1.1.5 and nothing changed (I have the same issue as many others already reported). Reading the changes I have the impression that the correction is not appropriate: too many lines commented out, than IE case handled with "default" case, meaning caching.
User avatar (0019964)
dplinnane (reporter)
2008-11-21 00:49

I am using the software for the first time v 1.14
Creating a new user
Once the link is clicked in the email http://www.xxxx.com/mantis/verify.php?id=4&confirm_hash=908e48cb27498dedbafad2e8135df5ed [^]

The page loads with
SYSTEM WARNING: session_destroy() [function.session-destroy]: Trying to destroy uninitialized session

SYSTEM WARNING: Cannot modify header information - headers already sent by (output started at /home/xxxxx/public_html/mantis/core/error_api.php:166)

When I update the password I get the following when I submit the form.

APPLICATION ERROR #2800

Invalid form security token. Did you submit the form twice by accident?

Please use the "Back" button in your web browser to return to the previous page. There you can correct whatever problems were identified in this error or select another action. You can also click an option from the menu bar to go directly to a new section.

##########################
I am also getting this APPLICATION ERROR #2800 for updating bugs in both simple report and advanced report.

This seems like a critical bug as one can not use the application. Is it possible to use the development release on an existing database as this version is useless as it is. The issue occurs on Firefox and IE the latest versions. Thanks.
User avatar (0019968)
pangea (reporter)
2008-11-21 05:03

I get the same situation as dplinnane.
It's really critical issue.
The issue occurs on Firefox 3 and IE 6.

ps. I try the way of dplinnane but no effect.
User avatar (0019969)
dirkdatzert (reporter)
2008-11-21 05:19

This error is not resolved. I applied the patch and the behavior still persists. The second bug-report after clearing the cache won't be accepted.

- Related Changesets
MantisBT: master c6821f71
Timestamp: 2008-11-13 18:39:49
Author: jreese
Details ] Diff ]
Fix 0009754 by reverting part of issue 0009323: IE6/7 cache too much cousing 2800 errors.
mod - core.php Diff ] File ]
MantisBT: master-1.1.x 4ee424e1
Timestamp: 2008-11-13 18:39:49
Author: jreese
Details ] Diff ]
Fix 0009754 by reverting part of issue 0009323: IE6/7 cache too much cousing 2800 errors.
mod - core.php Diff ] File ]
MantisBT: master 14d3d357
Timestamp: 2008-11-24 14:11:42
Author: jreese
Details ] Diff ]
Revert /?p=mantisbt.git;a=object;h=c6821f71, fix 0009754, 0009869, 0009323 by adding Last-Modified headers to match Expires.

Commit has been tested on:
 FF 2.0.14
 FF 3.0.4
 IE 8.0.6001.18241
 IE 6.0.2900.5122
 GC 0.4.154.23
 Opera 9.51.10081
mod - core.php Diff ] File ]
MantisBT: master-1.1.x 161a677e
Timestamp: 2008-11-24 14:11:42
Author: jreese
Details ] Diff ]
Revert /?p=mantisbt.git;a=object;h=4ee424e1, fix 0009754, 0009869, 0009323 by adding Last-Modified headers to match Expires.

Commit has been tested on:
 FF 2.0.14
 FF 3.0.4
 IE 8.0.6001.18241
 IE 6.0.2900.5122
 GC 0.4.154.23
 Opera 9.51.10081
mod - core.php Diff ] File ]

- Issue History
Date Modified Username Field Change
2008-10-27 18:53 JohanCwiklinski New Issue
2008-10-28 09:10 info4km Note Added: 0019709
2008-10-28 10:21 Gryphon Note Added: 0019712
2008-10-28 10:30 Gryphon Note Edited: 0019712
2008-10-28 12:28 Gryphon Note Edited: 0019712
2008-10-31 03:51 skay Note Added: 0019739
2008-10-31 08:23 jreese Note Added: 0019740
2008-10-31 13:11 skay Note Added: 0019749
2008-10-31 13:51 jreese Note Added: 0019750
2008-10-31 13:52 jreese Status new => assigned
2008-10-31 13:52 jreese Assigned To => jreese
2008-10-31 13:54 jreese Note Added: 0019751
2008-11-01 05:44 skay Note Added: 0019753
2008-11-01 05:55 JohanCwiklinski Note Added: 0019754
2008-11-01 18:01 skay Note Added: 0019755
2008-11-03 05:33 secteur13 Note Added: 0019761
2008-11-03 06:43 ryaner Note Added: 0019764
2008-11-03 09:14 info4km Note Edited: 0019709
2008-11-03 09:15 info4km Note Edited: 0019709
2008-11-03 09:19 secteur13 Note Added: 0019765
2008-11-04 15:35 flc Note Added: 0019773
2008-11-04 16:01 JohanCwiklinski Note Added: 0019774
2008-11-05 02:45 vboctor Target Version => 1.1.5
2008-11-05 07:22 shofmann Note Added: 0019782
2008-11-05 08:27 abenedi Note Added: 0019784
2008-11-05 08:35 abenedi Sponsorship Added abenedi: US$ 10
2008-11-05 08:35 abenedi Sponsorship Total 0 => 10
2008-11-05 17:44 mederic Note Added: 0019786
2008-11-06 03:55 secteur13 Note Added: 0019787
2008-11-06 04:00 secteur13 Note Edited: 0019787
2008-11-06 13:20 mederic Note Added: 0019790
2008-11-06 13:22 mederic Note Edited: 0019790
2008-11-06 13:56 mederic Note Edited: 0019790
2008-11-06 13:57 mederic Note Edited: 0019790
2008-11-06 17:40 abenedi Note Added: 0019792
2008-11-06 17:52 abenedi Note Edited: 0019792
2008-11-06 17:53 abenedi Note Edited: 0019792
2008-11-06 17:53 abenedi Note Edited: 0019792
2008-11-06 17:54 abenedi Note Edited: 0019792
2008-11-08 16:46 xenusfr Note Added: 0019817
2008-11-10 11:50 baltun Note Added: 0019832
2008-11-12 06:24 rbrt Note Added: 0019850
2008-11-12 06:24 rbrt Note Added: 0019851
2008-11-12 06:25 rbrt Note Deleted: 0019851
2008-11-12 10:34 AliG Note Added: 0019852
2008-11-12 12:50 olegos Note Added: 0019854
2008-11-13 13:23 ezraw Note Added: 0019868
2008-11-13 13:50 jreese Changeset attached master c6821f71 =>
2008-11-13 13:58 jreese Note Added: 0019869
2008-11-13 13:58 jreese Status assigned => resolved
2008-11-13 13:58 jreese Fixed in Version => 1.1.5
2008-11-13 13:58 jreese Resolution open => fixed
2008-11-13 14:00 jreese Changeset attached master-1.1.x 4ee424e1 =>
2008-11-13 14:03 jreese Relationship added related to 0009813
2008-11-13 18:53 olegos Note Edited: 0019854
2008-11-15 12:12 baltun Note Added: 0019904
2008-11-17 11:33 jreese Relationship added has duplicate 0009822
2008-11-17 11:33 jreese Relationship deleted has duplicate 0009822
2008-11-20 16:00 cstamas Note Added: 0019957
2008-11-20 21:01 emathieu Note Added: 0019962
2008-11-21 00:49 dplinnane Note Added: 0019964
2008-11-21 05:03 pangea Note Added: 0019968
2008-11-21 05:19 dirkdatzert Note Added: 0019969
2008-11-21 16:08 jreese Status resolved => closed
2008-11-24 09:20 jreese Changeset attached master 14d3d357 =>
2008-11-24 09:20 jreese Changeset attached master-1.1.x 161a677e =>


MantisBT 1.2.17 [^]
Copyright © 2000 - 2014 MantisBT Team
Time: 0.1972 seconds.
memory usage: 3,350 KB
Powered by Mantis Bugtracker